Package Details: flow-tools 0.68.5.1-6

Git Clone URL: https://aur.archlinux.org/flow-tools.git (read-only, click to copy)
Package Base: flow-tools
Description: Netflow collector, analyser and report generator.
Upstream URL: https://github.com/adsr/flow-tools
Licenses: BSD 3
Submitter: k0ste
Maintainer: k0ste
Last Packager: k0ste
Votes: 0
Popularity: 0.000000
First Submitted: 2016-05-28 10:32
Last Updated: 2018-06-25 03:03

Latest Comments

rageltman commented on 2021-02-21 17:22

Failing to build, complains of:

mv -f .deps/acl2.Tpo .deps/acl2.Po
/bin/sh ../libtool --tag=CC   --mode=link gcc -fPIE -g -O2 -pie  -o flow-filter flow-filter.o aclyacc.o acllex.o acl2.o ../lib/libft.la -lnsl -lwrap -lz 
libtool: link: gcc -fPIE -g -O2 -pie -o .libs/flow-filter flow-filter.o aclyacc.o acllex.o acl2.o  ../lib/.libs/libft.so -lnsl -lwrap -lz
/bin/ld: acl2.o:/var/abs/local/flow-tools/src/flow-tools-0.68.5.1/src/acl2.c:49: multiple definition of `acl_list'; flow-filter.o:/var/abs/local/flow-tools/src/flow-tools-0.68.5.1/src/flow-filter.c:59: first defined here
collect2: error: ld returned 1 exit status

phillid commented on 2018-06-27 11:57

Hmm… seems python2 should also be a dependency because of tools like flow-rptfmt, but the shebang on that needs adjusting.

k0ste commented on 2018-06-25 03:04

@phillid, thanks.

phillid commented on 2018-06-24 05:18

libwrap should be a runtime dependency